.footer {

    display: flex;

    flex-direction: column;

    background-color: #E3F1F6;

    padding: 40px 0px;

    gap: 55px;

    font-family: 'Ubuntu', sans-serif;
    font-weight: 300;

}

.footer__group {

    display: flex;

    flex-direction: column;

    gap: 50px;

}

.footer__group-map--content,

.footer__group-contact--content,

.footer__group-block-socials--content,

.footer__group-block-promotions--content {

    display: flex;

    flex-direction: column;

    gap: 24px;

}

.footer__group-contact--content-elements,

.footer__group-map--content-block {

    display: flex;

    flex-direction: column;

    gap: 16px;

}

.footer__group-contact--content-elements-whatsapp,

.footer__group-contact--content-elements-email,

.footer__group-contact--content-elements-local,

.footer__group-contact--content-elements-clock {

    display: flex;

    gap: 16px;

    color: #292929;

    font-size: 16px;

    text-decoration: none;

}

.footer__group-contact--content-elements-whatsapp-number {

    display: flex;

    flex-wrap: wrap;

    gap: 8px;

}

.footer__group-contact--content-elements-whatsapp-img,

.footer__group-contact--content-elements-email-img,

.footer__group-contact--content-elements-local-img,

.footer__group-contact--content-elements-clock-img {

    width: 25px;

    display: flex;

    align-items: center;

    justify-content: center;

}

.footer__group-contact--content-elements-email-img img {

    width: 21px;

}

.footer__group-map--content-block a,

.footer__group-contact--content-elements-whatsapp-number a {

    color: #292929;

    font-size: 16px;

    text-decoration: none;

    gap: 16px;

}

.footer__group-block-socials--content-img {

    display: flex;

    gap: 22px;

}

.footer__group-block-socials--content-img img:hover {

    opacity: 0.5;

}

.footer__group-block {

    display: flex;

    flex-direction: column;

    gap: 48px;

}

.footer__payment--content {

    display: flex;

    flex-direction: column;

    gap: 30px;

}

.footer__payment--content-forms-payment {

    font-size: 18px;

    display: flex;

    align-items: center;

    gap: 8px;

}

.footer__payment--content-forms-payment img {

    width: 56px;

}

.footer__payment--content-block {

    display: flex;

    gap: 35px;

    flex-direction: column;

}

.footer__payment--content-block-terms a {

    color: #292929;

    line-height: 32px;

}

.footer__payment--content-block-pay-forms {

    gap: 16px;

}

.footer__group-block-promotions--content form {

    display: flex;

    flex-direction: column;

    gap: 30px;

}

.footer__group-block-promotions--content-email {

    width: 100%;

    display: flex;

    flex-direction: column;

    gap: 5px;

    text-align: left;

}

.footer__group-block-promotions--content-email input {

    padding: 13px 16px;

    border: 0px;

    border-bottom: solid 2px #292929;

    background-color: #E3F1F6;

    outline: 0;

    font-size: 16px;

    color: #292929;

}

.footer__group-block-promotions--content-email input:-webkit-autofill {

    -webkit-box-shadow: 0 0 0 30px #E3F1F6 inset;

}

.footer__group-block-promotions--content-send {

    display: flex;

    flex-direction: column;

    align-items: center;

    justify-content: start;

    text-align: center;

    width: 100%;

}

.footer__group-block-promotions--content-send button:hover,

.footer__group-block-promotions--content-send.send-newsletter.button-loading button {

    background-color: #1B156B;

    color: #FFFFFF;

}

.footer__group-block-promotions--content-send button {

    width: 100%;

    max-height: 49px;

    margin: 0px 0px auto auto;

    background-color: #E3F1F6;

    border: 2px solid #292929;

    padding: 12px 0px;

    text-align: center;

    font-size: 18px;

    font-family: 'Ubuntu', sans-serif;
    font-weight: 300;

}

.footer__group-block-promotions--content-send img {

    width: 50px;

    display: none;

    margin-bottom: auto;

}

.footer__group-block-promotions--content-send.send-newsletter.button-loading img {

    display: block;

}

.footer__payment--content-block-desenvolviment {

    display: flex;

    gap: 8px;

    width: 100%;

    justify-content: center;

}

@media(min-width: 1200px) {

    .footer {

        gap: 0px;

        display: flex;

        flex-wrap: wrap;

    }

    .footer__group {

        gap: 45px;

        flex-direction: row;

        justify-content: space-between;

        padding-bottom: 125px;

    }

    .footer__group-contact--content {

        width: 40%;

    }

    .footer__group-map--content {

        width: 20%;

    }

    .footer__group-block {

        width: 40%;

    }

    .footer__group-block-promotions--content form {

        flex-direction: row;

    }

    .footer__group-block-promotions--content-email {

        width: 60%;

    }

    .footer__group-block-promotions--content-email input {

        width: calc(100% - 30px);

        height: calc(49px - 28px);

    }

    .footer__group-block-promotions--content-send button {

        width: calc(100% - 50px);

    }

    .footer__group-block-promotions--content-send {

        flex-direction: row-reverse;

        width: 40%;

    }

    .footer__payment--content-block {

        gap: 35px;

        flex-direction: row;

        flex-wrap: wrap;

        justify-content: center;

        width: 100%;

    }

    .footer__payment--content,

    .footer__payment--content-block-pay-forms,

    .footer__payment--content-block-terms{

        display: flex;

        flex-direction: row;

    }

    .footer__payment--content {

        justify-content: center;

        font-size: 15px;

        align-items: baseline;

        flex-wrap: wrap;

    }

    .footer__payment--content-forms-payment {

        width: 100%;

        display: flex;

        justify-content: center;

    }

    .footer__payment--content-block-terms a {

        line-height: 16px;

    }

}

@media(min-width: 500px) and (max-width: 1200px) {

    .footer__group {

        flex-direction: row;

        flex-wrap: wrap;

        justify-content: space-between;

    }

    .footer__group-map--content {

        width: 329px;

    }

    .footer__group-block-socials--content {

        width: 400px;

    }

    .footer__group-block {

        display: flex;

        flex-direction: row;

        width: 100%;

        justify-content: space-between;

        flex-wrap: wrap;

    }

    .footer__payment--content-block {

        flex-direction: row;

        flex-wrap: wrap;

        justify-content: center;

    }

    .footer__payment--content,

    .footer__payment--content-block-pay-forms,

    .footer__payment--content-block-terms{

        display: flex;

        flex-direction: row;

        flex-wrap: wrap;

        justify-content: center;

    }

    .footer__payment--content {

        justify-content: center;

        font-size: 15px;

        align-items: baseline;

        flex-wrap: wrap;

    }

    .footer__payment--content-block-terms a {

        line-height: 16px;

    }

    .footer__payment--content-forms-payment {

        width: 100%;

        display: flex;

        justify-content: center;

    }

}

